VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
vstcomponent.h File Reference
`#include "public.sdk/source/vst/vstcomponentbase.h"`
`#include "public.sdk/source/vst/vstbus.h"`
`#include "pluginterfaces/vst/ivstcomponent.h"`

## Classes
class | Component
| Default implementation for a VST 3 Component. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst

## Functions
tresult | getSpeakerChannelIndex (SpeakerArrangement arrangement, uint64 speaker, int32 &channel)
| Gets the channel index of a given speaker in a arrangement, returns kResultFalse if speaker not part of the arrangement else returns kResultTrue.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.